# Audio Plugin

This unofficial TaleSpire plugin adds audio/music playing selected from a menu of pre-configured audio sources.
Supports audio source, looping setting and volume setting.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

!!! You will need to configure this application before you can use it !!!

Edit the AudioPlugin.json file found in the CustomData sub-folder of the plugin install folder. The file is an example
temple showing how to configure URL audio sources and local audio sources. Configure the settings for each source as
desired. Add additional sources as desired. A standard 1920x1080 screen fits about 14 sources with the default menu
settings. However, the size of the menu entries can be modified by changing the button size (found in CustomData/Images)
and by changing the font size and gap in the R2ModMan configuration for the plugin.

## Usage

Press the keyboard combo (default RCTRL+A) to open the Audio Menu. Click one of the selection to play the corresponding
audio source. If the audio source is remote then it may take a moment to start playing, if the audio source is local then
it should start playing immediately. To stop a looping audio, re-open the audio menu and select the Stop Audio button. 

## Limitation

Currently the audio is played locally only. Future versions will distribute the request to play on all client individually.